package net.nicoptere.scribbler;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.view.ViewGroup.LayoutParams;
import android.view.Window;
import android.view.WindowManager;
import android.widget.Button;

public class ScribblerActivity extends Activity implements OnClickListener
{

	private Scribbler scribbler;

	public void onCreate(Bundle savedInstanceState)
	{
			
		super.onCreate(savedInstanceState);
		    
		// Set full screen view
		getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN, WindowManager.LayoutParams.FLAG_FULLSCREEN);
		requestWindowFeature(Window.FEATURE_NO_TITLE);
		
		//adds the Scribbler
		scribbler = new Scribbler(this);
		setContentView( scribbler, new ViewGroup.LayoutParams( LayoutParams.FILL_PARENT, LayoutParams.FILL_PARENT ) );
		scribbler.requestFocus();
		
		//reset button
		Button reset = new Button(this);
		reset.setText("reset");
		reset.setOnClickListener( this );
		addContentView( reset, new ViewGroup.LayoutParams( LayoutParams.FILL_PARENT, LayoutParams.WRAP_CONTENT ) );
		    
	}

	@Override
	public void onClick(View v)
	{
		scribbler.reset();
	}
}